<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('invest_money', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('Tk');
            $table->integer('phone_number')->nullable();
            $table->string('transaction_number');
            $table->string('mobile_operator');
            $table->string('img')->nullable();
            $table->integer('time_period')->nullable();
            $table->integer('status')->nullable();
            $table->integer('withdraw')->nullable();
            $table->string('req_for_withdraw')->nullable();
            $table->string('principle_ammount_withdraw')->nullable();
            $table->string('principle_ammount_withdraw_per')->nullable();
            $table->string('invest_deduct')->nullable();
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('invest_money');
    }
};
